function powi_displayTextForOKAndWait(theText, theContinue) {
    powi_displayTextForOK(theText)
    powi_waitUntilWindowGone(theContinue)
}

function powi_displayTextForOK(theText) {
    gpowi_displayTextTextArea.value = theText
    gpowi_displayTextDiv.style.display = 'block'
    gpowi_popupStillShowing = true
}

function powi_gDisplayButtonClicked() {
    gpowi_displayTextDiv.style.display = 'none'
    gpowi_popupStillShowing = false
}

function powi_waitUntilWindowGone(theContinue) {
    if (gpowi_popupStillShowing) {
        window.setTimeout('powi_waitUntilWindowGone("'+theContinue+'")', 1000)
    } else {
        eval(theContinue)
    }
}

function powi_gkeyPressed(theCharCode) {
    if (theCharCode ==  13) powi_gDisplayButtonClicked()
}

// -------------------  make text display popup --------------------

powi_makeTextDisplayPopup()

function powi_makeTextDisplayPopup() {
    var gDisplayTextTable = document.createElement("table")

    var gDisplayTextRow1 = document.createElement("tr")

    gpowi_displayTextTextArea = document.createElement("textarea")
    gpowi_displayTextTextArea.rows = "20"
    gpowi_displayTextTextArea.cols = "80"

    gDisplayTextRow1.appendChild(
        powi_makeTextDisplayCell(gpowi_displayTextTextArea,2))
    gDisplayTextTable.appendChild(gDisplayTextRow1)
    var gDisplayTextRow2 = document.createElement("tr")

    var temp = document.createElement("p")
    temp.innerHTML = "Click the 'OK' button to continue."
    gDisplayTextRow2.appendChild(powi_makeTextDisplayCell(temp,1))

    temp = document.createElement("button")
    temp.innerHTML = 'OK'
    temp.addEventListener('click', powi_gDisplayButtonClicked, false)
    gDisplayTextRow2.appendChild(powi_makeTextDisplayCell(temp,1))
    gDisplayTextTable.appendChild(gDisplayTextRow2)

    gpowi_displayTextDiv = document.createElement("div")
    gpowi_displayTextDiv.appendChild(gDisplayTextTable)
    gpowi_displayTextDiv.className = 'divDisplayText'
    gpowi_displayTextDiv.style.display = 'none'
    
    document.body.appendChild(gpowi_displayTextDiv)
    
    gpowi_popupStillShowing = false
}

function powi_makeTextDisplayCell(content, theSpan) {
    var temp = document.createElement("td")
    if (theSpan != 1) temp.colSpan = theSpan
    temp.appendChild(content)
    
    return temp
}
