// version 3.2.1
// this runtime library could be used by anything at all

gVersion = "3.2.1"

gReturn = "\n"
gTab = "\t"
gComma = ","
gSpace = " "
gIndentSpaces = gSpace+gSpace
gIndentSpacesLength = 2
gArraySeparator = "|"

// -----------------------------  utilities ---------------------------
    
function util_openhelp(fileName) {
    var helpPath = "../documentation/"+fileName+".html"
    window.open(helpPath,"","location=yes,menubar=yes,toolbar=yes,status=yes")
}

function util_lookInObjList(objList, searchKey, theNotFound) {
    if (objList.length == 0) return theNotFound
    var i = objList.length
    while (objList[--i].theKey != searchKey) {
        if (i == 0) return theNotFound
    }
    return objList[i]
}

function util_replaceAll(txt, replace_this, with_this) {
    var soFar = txt
    while (soFar.indexOf(replace_this) != -1) {
        var i = soFar.indexOf(replace_this)
        soFar = soFar.substring(0,i)+with_this+soFar.substring(i+replace_this.length)
    }
    return soFar
}

function util_removeAllChildren(insertHere) {
    while (insertHere.hasChildNodes()) {
        insertHere.removeChild(insertHere.firstChild)
    }
}

function util_makeRandomID(theLength) {
    var soFar = ""
    var possible = "abcdefghijklmnopqrstuvwxyz0123456789"

    for (var i=theLength; i>0; i--)
        soFar += possible.charAt(Math.floor(Math.random() * possible.length));

    return soFar
}

function util_getRadioSetting(theForm,theName) {
    var soFar = "none"
    
    var theLength = document[theForm][theName].length
    for (var i=0; i<theLength; i++) {
        if (document[theForm][theName][i].checked) soFar = document[theForm][theName][i].value
    }
    
    return soFar
}

function util_sleep(seconds) {
  var start = new Date().getTime();
  for (var i = 0; i < 1e7; i++) {
    if ((new Date().getTime() - start) > (seconds*1000)){
      break;
    }
  }
}
