// In your 'onload' procedure call this:

//  ws_sizeWindowToStored("psyScript_editTextblockWindow")

// where the string passed is unique to the window you're opening.

// -------------------- window sizing ---------------------------

function ws_sizeWindowToStored(theKey) {
    gws_WindowSizeKey = "psyScript3_"+theKey
    var theWindowObject = JSON.parse(localStorage.getItem(gws_WindowSizeKey))

    if (theWindowObject) {
        window.moveTo(theWindowObject.theScreenX, theWindowObject.theScreenY)
        window.resizeTo(theWindowObject.theOuterWidth, theWindowObject.theOuterHeight)
        window.moveTo(theWindowObject.theScreenX, theWindowObject.theScreenY)
        window.resizeTo(theWindowObject.theOuterWidth, theWindowObject.theOuterHeight)
    }
    
    window.addEventListener('beforeunload', ws_storeWindowSize, false)
}

function ws_storeWindowSize() {
        var theWindowObject = new Object; 
        theWindowObject.theScreenX = window.screenX
        theWindowObject.theScreenY = window.screenY-22 // better vars ?
        theWindowObject.theOuterHeight = window.outerHeight
        theWindowObject.theOuterWidth = window.outerWidth
        
        localStorage.setItem(gws_WindowSizeKey, JSON.stringify(theWindowObject))
}
